- Main Page
- Modules
- Data Structures
- Files
- Related Pages

# xinerama.h

    00001 /*
    00002  * This file generated automatically from xinerama.xml by c-client.xsl using XSLT.
    00003  * Edit at your peril.
    00004  */
    00005
    00012 #ifndef __XINERAMA_H
    00013 #define __XINERAMA_H
    00014
    00015 #include "xcb.h"
    00016 #include "xproto.h"
    00017
    00018 #define XCB_XINERAMA_MAJOR_VERSION 1
    00019 #define XCB_XINERAMA_MINOR_VERSION 1
    00020
    00021 extern xcb_extension_t xcb_xinerama_id;
    00022
    00026 typedef struct xcb_xinerama_screen_info_t {
    00027     int16_t  x_org;
    00028     int16_t  y_org;
    00029     uint16_t width;
    00030     uint16_t height;
    00031 } xcb_xinerama_screen_info_t;
    00032
    00036 typedef struct xcb_xinerama_screen_info_iterator_t {
    00037     xcb_xinerama_screen_info_t *data;
    00038     int                         rem;
    00039     int                         index;
    00040 } xcb_xinerama_screen_info_iterator_t;
    00041
    00045 typedef struct xcb_xinerama_query_version_cookie_t {
    00046     unsigned int sequence;
    00047 } xcb_xinerama_query_version_cookie_t;
    00048
    00050 #define XCB_XINERAMA_QUERY_VERSION 0
    00051
    00055 typedef struct xcb_xinerama_query_version_request_t {
    00056     uint8_t  major_opcode;
    00057     uint8_t  minor_opcode;
    00058     uint16_t length;
    00059     uint8_t  major;
    00060     uint8_t  minor;
    00061 } xcb_xinerama_query_version_request_t;
    00062
    00066 typedef struct xcb_xinerama_query_version_reply_t {
    00067     uint8_t  response_type;
    00068     uint8_t  pad0;
    00069     uint16_t sequence;
    00070     uint32_t length;
    00071     uint16_t major;
    00072     uint16_t minor;
    00073 } xcb_xinerama_query_version_reply_t;
    00074
    00078 typedef struct xcb_xinerama_get_state_cookie_t {
    00079     unsigned int sequence;
    00080 } xcb_xinerama_get_state_cookie_t;
    00081
    00083 #define XCB_XINERAMA_GET_STATE 1
    00084
    00088 typedef struct xcb_xinerama_get_state_request_t {
    00089     uint8_t      major_opcode;
    00090     uint8_t      minor_opcode;
    00091     uint16_t     length;
    00092     xcb_window_t window;
    00093 } xcb_xinerama_get_state_request_t;
    00094
    00098 typedef struct xcb_xinerama_get_state_reply_t {
    00099     uint8_t      response_type;
    00100     uint8_t      state;
    00101     uint16_t     sequence;
    00102     uint32_t     length;
    00103     xcb_window_t window;
    00104 } xcb_xinerama_get_state_reply_t;
    00105
    00109 typedef struct xcb_xinerama_get_screen_count_cookie_t {
    00110     unsigned int sequence;
    00111 } xcb_xinerama_get_screen_count_cookie_t;
    00112
    00114 #define XCB_XINERAMA_GET_SCREEN_COUNT 2
    00115
    00119 typedef struct xcb_xinerama_get_screen_count_request_t {
    00120     uint8_t      major_opcode;
    00121     uint8_t      minor_opcode;
    00122     uint16_t     length;
    00123     xcb_window_t window;
    00124 } xcb_xinerama_get_screen_count_request_t;
    00125
    00129 typedef struct xcb_xinerama_get_screen_count_reply_t {
    00130     uint8_t      response_type;
    00131     uint8_t      screen_count;
    00132     uint16_t     sequence;
    00133     uint32_t     length;
    00134     xcb_window_t window;
    00135 } xcb_xinerama_get_screen_count_reply_t;
    00136
    00140 typedef struct xcb_xinerama_get_screen_size_cookie_t {
    00141     unsigned int sequence;
    00142 } xcb_xinerama_get_screen_size_cookie_t;
    00143
    00145 #define XCB_XINERAMA_GET_SCREEN_SIZE 3
    00146
    00150 typedef struct xcb_xinerama_get_screen_size_request_t {
    00151     uint8_t      major_opcode;
    00152     uint8_t      minor_opcode;
    00153     uint16_t     length;
    00154     xcb_window_t window;
    00155     xcb_screen_t screen;
    00156 } xcb_xinerama_get_screen_size_request_t;
    00157
    00161 typedef struct xcb_xinerama_get_screen_size_reply_t {
    00162     uint8_t      response_type;
    00163     uint8_t      pad0;
    00164     uint16_t     sequence;
    00165     uint32_t     length;
    00166     uint32_t     width;
    00167     uint32_t     height;
    00168     xcb_window_t window;
    00169     xcb_screen_t screen;
    00170 } xcb_xinerama_get_screen_size_reply_t;
    00171
    00175 typedef struct xcb_xinerama_is_active_cookie_t {
    00176     unsigned int sequence;
    00177 } xcb_xinerama_is_active_cookie_t;
    00178
    00180 #define XCB_XINERAMA_IS_ACTIVE 4
    00181
    00185 typedef struct xcb_xinerama_is_active_request_t {
    00186     uint8_t  major_opcode;
    00187     uint8_t  minor_opcode;
    00188     uint16_t length;
    00189 } xcb_xinerama_is_active_request_t;
    00190
    00194 typedef struct xcb_xinerama_is_active_reply_t {
    00195     uint8_t  response_type;
    00196     uint8_t  pad0;
    00197     uint16_t sequence;
    00198     uint32_t length;
    00199     uint32_t state;
    00200 } xcb_xinerama_is_active_reply_t;
    00201
    00205 typedef struct xcb_xinerama_query_screens_cookie_t {
    00206     unsigned int sequence;
    00207 } xcb_xinerama_query_screens_cookie_t;
    00208
    00210 #define XCB_XINERAMA_QUERY_SCREENS 5
    00211
    00215 typedef struct xcb_xinerama_query_screens_request_t {
    00216     uint8_t  major_opcode;
    00217     uint8_t  minor_opcode;
    00218     uint16_t length;
    00219 } xcb_xinerama_query_screens_request_t;
    00220
    00224 typedef struct xcb_xinerama_query_screens_reply_t {
    00225     uint8_t  response_type;
    00226     uint8_t  pad0;
    00227     uint16_t sequence;
    00228     uint32_t length;
    00229     uint32_t number;
    00230     uint8_t  pad1[20];
    00231 } xcb_xinerama_query_screens_reply_t;
    00232
    00233
    00234 /*****************************************************************************
    00235  **
    00236  ** void xcb_xinerama_screen_info_next
    00237  **
    00238  ** @param xcb_xinerama_screen_info_iterator_t *i
    00239  ** @returns void
    00240  **
    00241  *****************************************************************************/
    00242
    00243 void
    00244 xcb_xinerama_screen_info_next (xcb_xinerama_screen_info_iterator_t *i  );
    00245
    00246
    00247 /*****************************************************************************
    00248  **
    00249  ** xcb_generic_iterator_t xcb_xinerama_screen_info_end
    00250  **
    00251  ** @param xcb_xinerama_screen_info_iterator_t i
    00252  ** @returns xcb_generic_iterator_t
    00253  **
    00254  *****************************************************************************/
    00255
    00256 xcb_generic_iterator_t
    00257 xcb_xinerama_screen_info_end (xcb_xinerama_screen_info_iterator_t i  );
    00258
    00259
    00260 /*****************************************************************************
    00261  **
    00262  ** xcb_xinerama_query_version_cookie_t xcb_xinerama_query_version
    00263  **
    00264  ** @param xcb_connection_t *c
    00265  ** @param uint8_t           major
    00266  ** @param uint8_t           minor
    00267  ** @returns xcb_xinerama_query_version_cookie_t
    00268  **
    00269  *****************************************************************************/
    00270
    00271 xcb_xinerama_query_version_cookie_t
    00272 xcb_xinerama_query_version (xcb_connection_t *c  ,
    00273                             uint8_t           major  ,
    00274                             uint8_t           minor  );
    00275
    00276
    00277 /*****************************************************************************
    00278  **
    00279  ** xcb_xinerama_query_version_cookie_t xcb_xinerama_query_version_unchecked
    00280  **
    00281  ** @param xcb_connection_t *c
    00282  ** @param uint8_t           major
    00283  ** @param uint8_t           minor
    00284  ** @returns xcb_xinerama_query_version_cookie_t
    00285  **
    00286  *****************************************************************************/
    00287
    00288 xcb_xinerama_query_version_cookie_t
    00289 xcb_xinerama_query_version_unchecked (xcb_connection_t *c  ,
    00290                                       uint8_t           major  ,
    00291                                       uint8_t           minor  );
    00292
    00293
    00294 /*****************************************************************************
    00295  **
    00296  ** xcb_xinerama_query_version_reply_t * xcb_xinerama_query_version_reply
    00297  **
    00298  ** @param xcb_connection_t                     *c
    00299  ** @param xcb_xinerama_query_version_cookie_t   cookie
    00300  ** @param xcb_generic_error_t                 **e
    00301  ** @returns xcb_xinerama_query_version_reply_t *
    00302  **
    00303  *****************************************************************************/
    00304
    00305 xcb_xinerama_query_version_reply_t *
    00306 xcb_xinerama_query_version_reply (xcb_connection_t                     *c  ,
    00307                                   xcb_xinerama_query_version_cookie_t   cookie  ,
    00308                                   xcb_generic_error_t                 **e  );
    00309
    00310
    00311 /*****************************************************************************
    00312  **
    00313  ** xcb_xinerama_get_state_cookie_t xcb_xinerama_get_state
    00314  **
    00315  ** @param xcb_connection_t *c
    00316  ** @param xcb_window_t      window
    00317  ** @returns xcb_xinerama_get_state_cookie_t
    00318  **
    00319  *****************************************************************************/
    00320
    00321 xcb_xinerama_get_state_cookie_t
    00322 xcb_xinerama_get_state (xcb_connection_t *c  ,
    00323                         xcb_window_t      window  );
    00324
    00325
    00326 /*****************************************************************************
    00327  **
    00328  ** xcb_xinerama_get_state_cookie_t xcb_xinerama_get_state_unchecked
    00329  **
    00330  ** @param xcb_connection_t *c
    00331  ** @param xcb_window_t      window
    00332  ** @returns xcb_xinerama_get_state_cookie_t
    00333  **
    00334  *****************************************************************************/
    00335
    00336 xcb_xinerama_get_state_cookie_t
    00337 xcb_xinerama_get_state_unchecked (xcb_connection_t *c  ,
    00338                                   xcb_window_t      window  );
    00339
    00340
    00341 /*****************************************************************************
    00342  **
    00343  ** xcb_xinerama_get_state_reply_t * xcb_xinerama_get_state_reply
    00344  **
    00345  ** @param xcb_connection_t                 *c
    00346  ** @param xcb_xinerama_get_state_cookie_t   cookie
    00347  ** @param xcb_generic_error_t             **e
    00348  ** @returns xcb_xinerama_get_state_reply_t *
    00349  **
    00350  *****************************************************************************/
    00351
    00352 xcb_xinerama_get_state_reply_t *
    00353 xcb_xinerama_get_state_reply (xcb_connection_t                 *c  ,
    00354                               xcb_xinerama_get_state_cookie_t   cookie  ,
    00355                               xcb_generic_error_t             **e  );
    00356
    00357
    00358 /*****************************************************************************
    00359  **
    00360  ** xcb_xinerama_get_screen_count_cookie_t xcb_xinerama_get_screen_count
    00361  **
    00362  ** @param xcb_connection_t *c
    00363  ** @param xcb_window_t      window
    00364  ** @returns xcb_xinerama_get_screen_count_cookie_t
    00365  **
    00366  *****************************************************************************/
    00367
    00368 xcb_xinerama_get_screen_count_cookie_t
    00369 xcb_xinerama_get_screen_count (xcb_connection_t *c  ,
    00370                                xcb_window_t      window  );
    00371
    00372
    00373 /*****************************************************************************
    00374  **
    00375  ** xcb_xinerama_get_screen_count_cookie_t xcb_xinerama_get_screen_count_unchecked
    00376  **
    00377  ** @param xcb_connection_t *c
    00378  ** @param xcb_window_t      window
    00379  ** @returns xcb_xinerama_get_screen_count_cookie_t
    00380  **
    00381  *****************************************************************************/
    00382
    00383 xcb_xinerama_get_screen_count_cookie_t
    00384 xcb_xinerama_get_screen_count_unchecked (xcb_connection_t *c  ,
    00385                                          xcb_window_t      window  );
    00386
    00387
    00388 /*****************************************************************************
    00389  **
    00390  ** xcb_xinerama_get_screen_count_reply_t * xcb_xinerama_get_screen_count_reply
    00391  **
    00392  ** @param xcb_connection_t                        *c
    00393  ** @param xcb_xinerama_get_screen_count_cookie_t   cookie
    00394  ** @param xcb_generic_error_t                    **e
    00395  ** @returns xcb_xinerama_get_screen_count_reply_t *
    00396  **
    00397  *****************************************************************************/
    00398
    00399 xcb_xinerama_get_screen_count_reply_t *
    00400 xcb_xinerama_get_screen_count_reply (xcb_connection_t                        *c  ,
    00401                                      xcb_xinerama_get_screen_count_cookie_t   cookie  ,
    00402                                      xcb_generic_error_t                    **e  );
    00403
    00404
    00405 /*****************************************************************************
    00406  **
    00407  ** xcb_xinerama_get_screen_size_cookie_t xcb_xinerama_get_screen_size
    00408  **
    00409  ** @param xcb_connection_t *c
    00410  ** @param xcb_window_t      window
    00411  ** @param xcb_screen_t      screen
    00412  ** @returns xcb_xinerama_get_screen_size_cookie_t
    00413  **
    00414  *****************************************************************************/
    00415
    00416 xcb_xinerama_get_screen_size_cookie_t
    00417 xcb_xinerama_get_screen_size (xcb_connection_t *c  ,
    00418                               xcb_window_t      window  ,
    00419                               xcb_screen_t      screen  );
    00420
    00421
    00422 /*****************************************************************************
    00423  **
    00424  ** xcb_xinerama_get_screen_size_cookie_t xcb_xinerama_get_screen_size_unchecked
    00425  **
    00426  ** @param xcb_connection_t *c
    00427  ** @param xcb_window_t      window
    00428  ** @param xcb_screen_t      screen
    00429  ** @returns xcb_xinerama_get_screen_size_cookie_t
    00430  **
    00431  *****************************************************************************/
    00432
    00433 xcb_xinerama_get_screen_size_cookie_t
    00434 xcb_xinerama_get_screen_size_unchecked (xcb_connection_t *c  ,
    00435                                         xcb_window_t      window  ,
    00436                                         xcb_screen_t      screen  );
    00437
    00438
    00439 /*****************************************************************************
    00440  **
    00441  ** xcb_xinerama_get_screen_size_reply_t * xcb_xinerama_get_screen_size_reply
    00442  **
    00443  ** @param xcb_connection_t                       *c
    00444  ** @param xcb_xinerama_get_screen_size_cookie_t   cookie
    00445  ** @param xcb_generic_error_t                   **e
    00446  ** @returns xcb_xinerama_get_screen_size_reply_t *
    00447  **
    00448  *****************************************************************************/
    00449
    00450 xcb_xinerama_get_screen_size_reply_t *
    00451 xcb_xinerama_get_screen_size_reply (xcb_connection_t                       *c  ,
    00452                                     xcb_xinerama_get_screen_size_cookie_t   cookie  ,
    00453                                     xcb_generic_error_t                   **e  );
    00454
    00455
    00456 /*****************************************************************************
    00457  **
    00458  ** xcb_xinerama_is_active_cookie_t xcb_xinerama_is_active
    00459  **
    00460  ** @param xcb_connection_t *c
    00461  ** @returns xcb_xinerama_is_active_cookie_t
    00462  **
    00463  *****************************************************************************/
    00464
    00465 xcb_xinerama_is_active_cookie_t
    00466 xcb_xinerama_is_active (xcb_connection_t *c  );
    00467
    00468
    00469 /*****************************************************************************
    00470  **
    00471  ** xcb_xinerama_is_active_cookie_t xcb_xinerama_is_active_unchecked
    00472  **
    00473  ** @param xcb_connection_t *c
    00474  ** @returns xcb_xinerama_is_active_cookie_t
    00475  **
    00476  *****************************************************************************/
    00477
    00478 xcb_xinerama_is_active_cookie_t
    00479 xcb_xinerama_is_active_unchecked (xcb_connection_t *c  );
    00480
    00481
    00482 /*****************************************************************************
    00483  **
    00484  ** xcb_xinerama_is_active_reply_t * xcb_xinerama_is_active_reply
    00485  **
    00486  ** @param xcb_connection_t                 *c
    00487  ** @param xcb_xinerama_is_active_cookie_t   cookie
    00488  ** @param xcb_generic_error_t             **e
    00489  ** @returns xcb_xinerama_is_active_reply_t *
    00490  **
    00491  *****************************************************************************/
    00492
    00493 xcb_xinerama_is_active_reply_t *
    00494 xcb_xinerama_is_active_reply (xcb_connection_t                 *c  ,
    00495                               xcb_xinerama_is_active_cookie_t   cookie  ,
    00496                               xcb_generic_error_t             **e  );
    00497
    00498
    00499 /*****************************************************************************
    00500  **
    00501  ** xcb_xinerama_query_screens_cookie_t xcb_xinerama_query_screens
    00502  **
    00503  ** @param xcb_connection_t *c
    00504  ** @returns xcb_xinerama_query_screens_cookie_t
    00505  **
    00506  *****************************************************************************/
    00507
    00508 xcb_xinerama_query_screens_cookie_t
    00509 xcb_xinerama_query_screens (xcb_connection_t *c  );
    00510
    00511
    00512 /*****************************************************************************
    00513  **
    00514  ** xcb_xinerama_query_screens_cookie_t xcb_xinerama_query_screens_unchecked
    00515  **
    00516  ** @param xcb_connection_t *c
    00517  ** @returns xcb_xinerama_query_screens_cookie_t
    00518  **
    00519  *****************************************************************************/
    00520
    00521 xcb_xinerama_query_screens_cookie_t
    00522 xcb_xinerama_query_screens_unchecked (xcb_connection_t *c  );
    00523
    00524
    00525 /*****************************************************************************
    00526  **
    00527  ** xcb_xinerama_screen_info_t * xcb_xinerama_query_screens_screen_info
    00528  **
    00529  ** @param const xcb_xinerama_query_screens_reply_t *R
    00530  ** @returns xcb_xinerama_screen_info_t *
    00531  **
    00532  *****************************************************************************/
    00533
    00534 xcb_xinerama_screen_info_t *
    00535 xcb_xinerama_query_screens_screen_info (const xcb_xinerama_query_screens_reply_t *R  );
    00536
    00537
    00538 /*****************************************************************************
    00539  **
    00540  ** int xcb_xinerama_query_screens_screen_info_length
    00541  **
    00542  ** @param const xcb_xinerama_query_screens_reply_t *R
    00543  ** @returns int
    00544  **
    00545  *****************************************************************************/
    00546
    00547 int
    00548 xcb_xinerama_query_screens_screen_info_length (const xcb_xinerama_query_screens_reply_t *R  );
    00549
    00550
    00551 /*****************************************************************************
    00552  **
    00553  ** xcb_xinerama_screen_info_iterator_t xcb_xinerama_query_screens_screen_info_iterator
    00554  **
    00555  ** @param const xcb_xinerama_query_screens_reply_t *R
    00556  ** @returns xcb_xinerama_screen_info_iterator_t
    00557  **
    00558  *****************************************************************************/
    00559
    00560 xcb_xinerama_screen_info_iterator_t
    00561 xcb_xinerama_query_screens_screen_info_iterator (const xcb_xinerama_query_screens_reply_t *R  );
    00562
    00563
    00564 /*****************************************************************************
    00565  **
    00566  ** xcb_xinerama_query_screens_reply_t * xcb_xinerama_query_screens_reply
    00567  **
    00568  ** @param xcb_connection_t                     *c
    00569  ** @param xcb_xinerama_query_screens_cookie_t   cookie
    00570  ** @param xcb_generic_error_t                 **e
    00571  ** @returns xcb_xinerama_query_screens_reply_t *
    00572  **
    00573  *****************************************************************************/
    00574
    00575 xcb_xinerama_query_screens_reply_t *
    00576 xcb_xinerama_query_screens_reply (xcb_connection_t                     *c  ,
    00577                                   xcb_xinerama_query_screens_cookie_t   cookie  ,
    00578                                   xcb_generic_error_t                 **e  );
    00579
    00580
    00581 #endif
    00582